Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class EncryptedData

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.pkcs.EncryptedData

All Implemented Interfaces:
  DEREncodable

public class EncryptedData
extends ASN1Encodable

The EncryptedData object.

          EncryptedData ::= SEQUENCE {
               version Version,
               encryptedContentInfo EncryptedContentInfo
          }

          EncryptedContentInfo ::= SEQUENCE {
              contentType ContentType,
              contentEncryptionAlgorithm  ContentEncryptionAlgorithmIdentifier,
              encryptedContent [0] IMPLICIT EncryptedContent OPTIONAL
        }

        EncryptedContent ::= OCTET STRING

Constructor Summary
`EncryptedData(ASN1Sequence seq)`
`EncryptedData(DERObjectIdentifier contentType, AlgorithmIdentifier encryptionAlgorithm, DEREncodable content)`

Method Summary
`ASN1OctetString` | `getContent()`
`DERObjectIdentifier` | `getContentType()`
`AlgorithmIdentifier` | `getEncryptionAlgorithm()`
`static EncryptedData` | `getInstance(java.lang.Object obj)`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedData

    public EncryptedData(ASN1Sequence seq)

### EncryptedData

    public EncryptedData(DERObjectIdentifier contentType,
                         AlgorithmIdentifier encryptionAlgorithm,
                         DEREncodable content)

Method Detail

### getInstance

    public static EncryptedData getInstance(java.lang.Object obj)

### getContentType

    public DERObjectIdentifier getContentType()

### getEncryptionAlgorithm

    public AlgorithmIdentifier getEncryptionAlgorithm()

### getContent

    public ASN1OctetString getContent()

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD